
package expressions;

/*
	Traceable.java
	Copyright (c) A. Clausing (achim.clausing@uni-muenster.de)

	Traceable expressions can be traced.
*/

public interface Traceable {

	/*
		Returns the tracing mode of this expression.
	*/	
	public boolean tracing();

	/*
		Toggles tracing mode between on and off.
	*/	
	public boolean toggleTracingMode();
}

//--------------------------------------------------------------------------------------------------
